{
  "name": "extra-net",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "build-dev": "ng build --configuration=dev && npm run post-build",
    "build-uat": "ng build --configuration=uat && npm run post-build",
    "build-preprod": "ng build --configuration=preprod && npm run post-build",
    "build-prod": "ng build --configuration=prod && npm run post-build",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "post-build": "node ./build/post-build.js"
  },
  "prettier": {
    "overrides": [
      {
        "files": "*.html",
        "options": {
          "parser": "angular"
        }
      }
    ]
  },
  "private": true,
  "dependencies": {
    "@angular/cdk": "^20.1.2",
    "@angular/common": "^20.1.0",
    "@angular/compiler": "^20.1.0",
    "@angular/core": "^20.1.0",
    "@angular/forms": "^20.1.0",
    "@angular/material": "^20.1.2",
    "@angular/platform-browser": "^20.1.0",
    "@angular/platform-browser-dynamic": "^20.1.2",
    "@angular/router": "^20.1.0",
    "@ionic/angular": "^8.7.6",
    "@kolkov/angular-editor": "^3.0.0-beta.2",
    "@ng-select/ng-select": "^20.1.2",
    "@ngx-translate/core": "^17.0.0",
    "@ngx-translate/http-loader": "^17.0.0",
    "crypto-js": "^4.2.0",
    "date-fns": "^4.1.0",
    "file-saver": "^2.0.5",
    "jsencrypt": "^3.3.2",
    "jspdf": "^3.0.1",
    "jspdf-autotable": "^5.0.2",
    "moment": "^2.30.1",
    "my-workspace": "github:ngx-translate/core",
    "ng-otp-input": "^2.0.8",
    "ngx-cookie-service": "^20.0.1",
    "ngx-toastr": "^19.1.0",
    "node-fetch": "^2.7.0",
    "primeng": "^20.2.0",
    "quill": "^2.0.3",
    "rxjs": "~7.8.0",
    "tslib": "^2.3.0",
    "xlsx": "^0.18.5",
    "zone.js": "~0.15.0"
  },
  "devDependencies": {
    "@angular/build": "^20.1.1",
    "@angular/cli": "^20.1.1",
    "@angular/compiler-cli": "^20.1.0",
    "@types/jasmine": "~5.1.0",
    "@types/xlsx": "^0.0.35",
    "jasmine-core": "~5.8.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "typescript": "~5.8.2"
  }
}
